Subject: Re: [PATCH 1/3] gpiolib: make gpio_to_chip() public

From: Anton Vorontsov <[email-masked]>
Date: Thu, 14 Aug 2008 18:14:28 +0400

On Thu, Aug 14, 2008 at 04:04:18PM +0200, Laurent Pinchart wrote:
> On Friday 08 August 2008, Anton Vorontsov wrote:
> > We'll need this function to write platform-specific hooks to deal
> > with pin's dedicated functions. Quite obviously this will work only
> > for the platforms with 1-to-1 GPIO to PIN mapping.
> > 
> > This is stopgap solution till we think out and implement a proper
> > api (pinlib?).
> 
> How do you support reverting the GPIO mode to non-dedicated ?

As we always do with the GPIO API: gpio_direction_*() calls.

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2